# SysAME Custom License

Copyright (c) 2025 sysame.com

## Permission and Usage

This license applies to the SysAME software package, which consists of:
1. Open interface components (primarily Python APIs and related documentation)
2. Closed-source compiled components (primarily written in Rust and C++)

### You are free to:

- Use the software for any purpose, including commercial use
- Modify and distribute the open interface components
- Create and distribute derivative works that interface with the software

### Under the following conditions:

#### 1. Attribution Requirement
You must provide appropriate citation and acknowledgment when using SysAME in any academic, research, commercial, or other work. The citation should include:

- The name of the software (SysAME)
- The author/organization
- The website or repository URL
- The version of the software used

A suggested citation format is:
```
[Your Name/Organization]. (2025). SysAME [Software]. Version X.X.X. Retrieved from [repository URL]. 
```

#### 2. Core Implementation Protection
The compiled Rust/C++ components of SysAME are provided in binary form only and are not open source. You are expressly prohibited from:

- Reverse engineering, decompiling, or disassembling the compiled components
- Attempting to extract, modify, or recreate the source code of the compiled components
- Distributing modified versions of the compiled components

#### 3. Redistribution
If you redistribute SysAME or works derived from it, you must include:

- This license text
- All attribution notices
- A clear notice that your work uses SysAME and is subject to this license

## Disclaimer of Warranty

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Enforcement

Violation of the terms of this license, particularly regarding the protection of compiled components or the attribution requirements, will constitute a breach of this license and may result in legal action.

## Contact

For licensing questions or permissions beyond the scope of this license, please contact help@sysame.com